#include "enemy.hpp"
#include "enemy-all.hpp"
void load_ene(CN(a83::Str) dir_name) {
  INI ini(Game::archive, dir_name + "conf.ini");
  a83::Str ship_dir;
  #define LD(SECT, OBJ) \
  ship_dir = ini.getStr(SECT, "name", {}); \
  if (ship_dir.empty()) \
    a83::error("load_ene: no finded dir name for \"" SECT "\""); \
  OBJ::load(dir_name + ship_dir + SEPARATOR);
  //LD("DUMMY", Enemy_dummy);
  LD("FIGHTER_1", Fighter);
  LD("BOMBER", Airbomber);
  #undef LD
}